
Application: gvSIG desktop - gvSIG bugs #1506
Buffer+dissolve with big layers fails
12/21/2012 12:16 PM - Vicent Domenech

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Geoprocess
Target version:
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2061 Add-on resolve version:2053
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Geoprocess: basic gvSIG vectorial geoprocesses (org.gvsig.geoprocess.app.algorithm)
Description

Open gvSIG
New View
Load a shapefile with 21443 registers (rio_de_janeiro_highway_32723_clip.shp)
Apply a buffer geoprocess:
   distance: 10
   dissolve entities
After some minutes an error message appears

The log is attached

History
#1 - 01/10/2013 04:51 PM - Ignacio Brodín
- Status changed from New to Fixed
- Add-on name changed from Unknown to Geoprocess: basic gvSIG vectorial geoprocesses (org.gvsig.geoprocess.app.algorithm)
- Add-on resolve version set to 2053

gvsig-geoprocess:r347

I works now but the FuseSpatiallyAlgorithm is too slow for this layer.

#2 - 01/16/2013 05:02 PM - Ignacio Brodín
- Status changed from Fixed to New

New problems generating the spatial fusion.

#3 - 01/16/2013 05:14 PM - Ignacio Brodín
- Status changed from New to Fixed

gvsig-geoprocess:r350
#4 - 02/26/2014 12:41 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG_buffer20.log 212 KB 12/21/2012 Vicent Domenech
rio_de_janeiro.shapefiles.rar 1.52 MB 12/21/2012 Vicent Domenech
